=== release 0.10.32 ===

2011-01-21  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  releasing 0.10.32, "Take Me to the Bonus Level"

2011-01-20 19:07:35 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Revert "configure: require gobject-introspection >= 0.9.12"
	  This reverts commit 3a59d416af6d0f8b61e2460830eb6f1138929ec2.
	  Reverting this, as the feature we bumped the requirement for
	  didn't actually work properly or help with the issue we were
	  trying to fix (and it was fixed differently in the end).

2011-01-18 22:51:49 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/manual/advanced-threads.xml:
	  docs: fix spelling of 'threshold' in app dev manual

2011-01-18 10:10:05 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coreindexers.xml:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  0.10.31.4 pre-release

2011-01-18 09:04:51 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/check/Makefile.am:
	* libs/gst/controller/Makefile.am:
	* libs/gst/dataprotocol/Makefile.am:
	* libs/gst/net/Makefile.am:
	  gobject-introspection: try harder to make g-ir-scanner use the right libgstreamer
	  Apply fix from libgstbase to all core libs now that we know that it
	  works. Should fix problems with g-ir-scanner using the wrong
	  (ie. system) libgstreamer, leading to linking errors such as
	  undefined reference to `gst_clock_single_shot_id_reinit'.
	  https://bugzilla.gnome.org/show_bug.cgi?id=637549

2011-01-14 00:20:43 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/manuals.mak:
	* docs/pwg/pwg.xml:
	  docs: fix garbled UTF-8 characters when generating app dev manual ps/pdf
	  https://bugzilla.gnome.org/show_bug.cgi?id=639448

2011-01-13 20:12:16 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/Makefile.am:
	  gobject-introspection: another attempt to make g-i find the right libgstreamer
	  Turns out g-i puts the additional -L we specify at the end, helpfully.
	  https://bugzilla.gnome.org/show_bug.cgi?id=637549

2011-01-12 15:46:00 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: require gobject-introspection >= 0.9.12
	  Earlier versions don't honour the -L/--library-path option,
	  which we need. See commit 4d0ccdad in gobject-introspection git.

2011-01-12 10:17:05 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/controller/Makefile.am:
	  controller: update g-i include paths as well for header changes
	  Hopefully makes Lucid and Maverick build bots happy again

2011-01-11 18:39:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coreindexers.xml:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  0.10.31.3 pre-release

2011-01-11 18:38:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/gl.po:
	* po/pt_BR.po:
	* po/sv.po:
	  po: update translations

2011-01-11 19:26:40 +0100  Benjamin Otte <otte@redhat.com>

	* libs/gst/controller/gstcontroller.h:
	* libs/gst/controller/gstcontrollerprivate.h:
	* libs/gst/controller/gstinterpolationcontrolsource.h:
	* libs/gst/controller/gstlfocontrolsource.h:
	  controller: Fix headers to use < > in #include statements
	  The behavior of " " in include statements is implementation-defined -
	  see the C standard, section 6.10.2 or
	  http://stackoverflow.com/questions/21593

2011-01-11 19:14:28 +0100  Benjamin Otte <otte@redhat.com>

	* libs/gst/net/Makefile.am:
	  gstnet: Fix --c-include for gir generation
	  Previously it was - probably due to copy/paste error - looking for
	  gstbase headers.
	  It's changed now to only include the one public header for gstnet.h

2011-01-11 13:47:38 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/Makefile.am:
	* libs/gst/check/Makefile.am:
	* libs/gst/controller/Makefile.am:
	* libs/gst/dataprotocol/Makefile.am:
	* libs/gst/net/Makefile.am:
	  gobject-introspection: make g-ir-scanner try harder to find the right libgstreamer
	  It's not quite clear to me why g-ir-scanner doesn't get this info from
	  the pkg-config file, nor why libtool doesn't get it from the .la.
	  https://bugzilla.gnome.org/show_bug.cgi?id=637549

2011-01-11 13:05:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* pkgconfig/gstreamer-base-uninstalled.pc.in:
	* pkgconfig/gstreamer-check-uninstalled.pc.in:
	* pkgconfig/gstreamer-controller-uninstalled.pc.in:
	* pkgconfig/gstreamer-dataprotocol-uninstalled.pc.in:
	* pkgconfig/gstreamer-net-uninstalled.pc.in:
	* pkgconfig/gstreamer-uninstalled.pc.in:
	  pkgconfig: also add libdir to -uninstalled .pc files
	  This way we can find the paths to pass e.g. g-ir-scanner for
	  uninstalled setups.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639039

2011-01-11 15:49:23 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From e572c87 to f94d739

2011-01-11 15:10:32 +0200  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstvalve.c:
	  valve: fixe the property link and the sice docs

2011-01-11 12:46:31 +0000  Raimo Järvi <raimo.jarvi@gmail.com>

	* gst/gstpoll.c:
	  gstpoll: fix compiler warning with MingW
	  gstpoll.c: In function 'gst_poll_get_read_gpollfd':
	  gstpoll.c:692:10: warning: assignment makes integer from pointer without a cast
	  https://bugzilla.gnome.org/show_bug.cgi?id=638900

2011-01-10 14:37:41 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* tests/check/elements/selector.c:
	  test: outputselector: Add another negotiation test
	  Adds an unit test to check that the output-selector works
	  when negotiating before srcpads are requested

2011-01-10 14:19:17 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* plugins/elements/gstoutputselector.c:
	  outputselector: Improve get and set caps functions
	  Improve sink pad getcaps and setcaps by handling the case where
	  no src pads exist yet

2011-01-10 16:35:25 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ccbaa85 to e572c87

2011-01-10 14:52:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 46445ad to ccbaa85

2011-01-10 09:59:19 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* tests/check/elements/selector.c:
	  tests: selector: unref peer pad
	  Do not forget to unref peer's pad on output-selector negotiation
	  tests

2011-01-10 13:18:16 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: make sure we wait and release the live lock
	  Make sure we release the live lock and wait in all cases when we need to wait
	  for the playing or flushing state change.
	  Fixes #635785

2011-01-08 14:52:27 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstregistry.c:
	  registry: Don't replace valid existing plugins by blacklisted ones
	  Only replace existing plugins by blacklisted ones if they correspond
	  to the exact same plugin. If they're not the same, keep the existing
	  valid one.
	  Fixes #638941

2011-01-08 02:19:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst-element-check.m4.in:
	* scripts/gst-uninstalled:
	  configure, gst-uninstalled: remove a few bashism
	  https://bugzilla.gnome.org/show_bug.cgi?id=638961

2011-01-07 12:13:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/gstreamer-plugins.args:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* docs/plugins/inspect/plugin-coreindexers.xml:
	* win32/common/config.h:
	* win32/common/gstenumtypes.c:
	* win32/common/gstversion.h:
	  0.10.31.2 pre-release

2011-01-07 02:18:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/indexers/gstfileindex.c:
	* plugins/indexers/gstmemindex.c:
	  indexers: fix two small leaks
	  element factory plugin_names are interned strings these days.

2011-01-07 00:53:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: never disable g_assert() and cast checks for the unit tests
	  The unit tests are riddled with g_assert() and friends, make sure we
	  don't disable assert and cast checks for the unit tests even if
	  this has been specified for the rest of the code base, e.g. via
	  --disable-glib-asserts.

2011-01-06 19:40:27 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstregistry.c:
	  registry: ignore old libgstvalve.so and libgstselector.so plugins to minimize upgrade pain
	  Ignore plugins which have been moved into coreelements, so it's
	  still possible to just upgrade GStreamer core without having to
	  upgrade the whole stack.

2011-01-06 19:21:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstpadtemplate.c:
	  Revert "padtemplate: allow disablinbg the template name conformance checks"
	  This reverts commit f9039c22040e1a38a3691bc4d299af427c963255.
	  We use -DG_DISABLE_ASSERTS for releases and pre-releases, but
	  don't want to disable pad name checking for releases in general,
	  I think. Need a better solution here. Fixes pad unit test in
	  pre-release/release mode.

2011-01-04 12:42:50 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	  output-selector: Add pad-negotiation-mode property
	  Adds getcaps/setcaps to output-selector and adds a property
	  to select which type of negotiation should be done.
	  The available modes are:
	  * none:   no negotiation (current behavior), getcaps return ANY and
	  setcaps aren't set on any of the peers
	  * all:    use all pads (default), getcaps returns the intersection of
	  peer pads and setcaps is set on all peers
	  * active: getcaps and setcaps are proxied to the active pad
	  https://bugzilla.gnome.org/show_bug.cgi?id=638381

2011-01-06 18:18:29 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  docs: mention extra input-selector pad properties
	  https://bugzilla.gnome.org/show_bug.cgi?id=638381

2011-01-06 17:47:38 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/el.po:
	  po: update translations

2010-09-23 12:49:59 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstinfo.c:
	  info: avoid unnecessary malloc/free for each log function call on MSVC
	  Avoid unnecessary malloc/free to get the file basename on MSVC to avoid
	  unnecessary overhead when doing GST_DEBUG=foo:5 or so (since it would be
	  done before the category log level filtering).

2011-01-06 17:29:46 +0000  christian schaller <christian.schaller@collabora.co.uk>

	* gstreamer.spec.in:
	  Update spec file with latest changes and enable GIR

2011-01-05 12:59:48 -0800  David Schleef <ds@schleef.org>

	* gst/gstobject.c:
	  object: Fix creation of default name
	  Change the fixed allocation (!) to g_strdup_printf().

2010-12-20 13:30:43 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/gst/gstreamer-sections.txt:
	* gst/gstelement.c:
	* gst/gstelement.h:
	* gst/gstutils.c:
	* win32/common/libgstreamer.def:
	  GstElement: Add a more flexible way to get request pads.
	  The new request_new_pad_full vmethod provides an additional caps field,
	  which allows elements to take better decision process.
	  Also, add a gst_element_request_pad() function to allow developers to be
	  able to specify which pad template they want a pad of.
	  Convert gstutils to use that new method instead of the old one when more
	  efficient.
	  This is useful for being able to request pads in a more flexible way,
	  especially when the element can provide pads whose caps depend on
	  runtime configuration and therefore can't provide pre-registered
	  pad templates.
	  API: GstElement::request_new_pad_full
	  API: gst_element_request_pad
	  https://bugzilla.gnome.org/show_bug.cgi?id=637300

2011-01-05 15:53:28 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstinputselector.h:
	  inputselector: remove "select-all" property
	  select-all mode is a bit broken (e.g. newsegment event
	  handling), so remove that for now. The funnel element
	  in farsight provides similar functionality.
	  https://bugzilla.gnome.org/show_bug.cgi?id=539042
	  https://bugzilla.gnome.org/show_bug.cgi?id=638381

2011-01-05 15:36:55 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gst.c:
	  gst: remove safety check for GLib < 2.8
	  Don't worry about accidentally using GLib < 2.8 at runtime anymore.

2011-01-05 11:26:13 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/gstdatetime.c:
	  gstdatetime: Disable usage of GDateTime on MacOSX
	  GLib's GDateTime doesn't handle properly the gmt offset. Therefore
	  use our own internal version instead on MacOSX.
	  See bug #638666

2011-01-05 10:56:37 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* docs/design/draft-progress.txt:
	  design: more updates for the progress messages

2011-01-04 18:36:41 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/pwg/building-signals.xml:
	  pwg: Fix link to GObject documentation
	  Better have gnome.org than viagra :)

2011-01-03 20:32:23 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/gstpluginloader.c:
	  pluginloader: Always mark reception as complete after EXIT
	  Avoids waiting forever on gst_poll_wait when using the select
	  backend.
	  Fixes #637057

2011-01-04 00:48:15 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstconfig.h.in:
	  gstinfo: don't use printf extensions if GLib isn't using the system printf
	  Might help with https://bugzilla.gnome.org/show_bug.cgi?id=638599

2011-01-03 20:19:05 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/gstpoll.c:
	  gstpoll: Fix for (p)select backend
	  We need to reset the revents field of each pollfd when reading the results
	  from select else we'll end up with stray info from previous calls to
	  select.

2011-01-03 01:06:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstvalue.c:
	  gstvalue: make new gst_value_list_merge() work properly
	  Fix freeing of partially-inited list value when both values
	  passed are equal and we want to return a single non-list
	  value as result. Fixes unit test. Also fix up docs a bit.
	  https://bugzilla.gnome.org/show_bug.cgi?id=637776

2010-12-21 23:03:12 +0200  Stefan Kost <ensonic@users.sf.net>

	* docs/gst/gstreamer-sections.txt:
	* gst/gsttaglist.c:
	* gst/gstvalue.c:
	* gst/gstvalue.h:
	* win32/common/libgstreamer.def:
	  tags: don't produce duplicated entries when merging same value twice
	  Add a variant of gst_value_list_concat() that skips duplicates and use that when
	  merging taglists.
	  API: gst_value_list_merge()

2011-01-02 16:58:39 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* libs/gst/base/gstbasesink.c:
	* libs/gst/base/gstbasesrc.c:
	  basesrc, basesink: add some FIXMEs for the type of the blocksize property

2010-12-31 12:08:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: make pad's get_type function thread-safe

2010-12-31 11:37:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstselector-marshal.list:
	* plugins/elements/gstselector.c:
	  coreelements: remove unused files

2010-12-31 12:27:45 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Protected g_object_notify() calls for the active-pad with a recursive mutex
	  This works around a thread safety problem in GLib < 2.26.0 and should
	  be removed when we depend on 2.26.0.
	  Fixes bug #607513.

2010-12-31 16:52:54 +0800  Zhang Wanming <Wanming.Zhang@tieto.com>

	* tests/check/gst/gstutils.c:
	  tests: fix typo
	  Signed-off-by: Zhang Wanming <Wanming.Zhang@tieto.com>

2010-12-31 16:50:57 +0800  Zhang Wanming <Wanming.Zhang@tieto.com>

	* plugins/elements/gstfdsink.c:
	  gstfdsink: fix typo
	  Signed-off-by: Zhang Wanming <Wanming.Zhang@tieto.com>

2010-12-31 16:50:17 +0800  Zhang Wanming <Wanming.Zhang@tieto.com>

	* docs/random/ensonic/draft-bufferpools.txt:
	  docs: fix typo
	  Signed-off-by: Zhang Wanming <Wanming.Zhang@tieto.com>

2010-12-31 01:09:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/icles/output-selector-test.c:
	  tests: remove output-selector test which needs elements from -base
	  Move it to -base instead.

2010-12-31 00:59:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	  checks: enable input-selector and output-selector unit tests after move

2010-12-31 00:48:55 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gstreamer-plugins-docs.sgml:
	* docs/plugins/gstreamer-plugins-sections.txt:
	* docs/plugins/gstreamer-plugins.args:
	* docs/plugins/gstreamer-plugins.hierarchy:
	* docs/plugins/gstreamer-plugins.signals:
	* docs/plugins/inspect/plugin-coreelements.xml:
	  docs: add input-selector and output-selector to docs

2010-12-31 00:45:54 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstfdsrc.c:
	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstqueue2.c:
	  coreelements: GST_BOILERPLATE already sets parent_class

2010-12-31 00:43:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstoutputselector.c:
	  input-selector, output-selector: minor clean-ups

2010-12-30 18:57:13 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/Makefile.am:
	* plugins/elements/gstelements.c:
	* plugins/elements/gstinputselector.c:
	  coreelements: move input-selector and output-selector to core
	  Moved to core from gst-plugins-bad.
	  https://bugzilla.gnome.org/show_bug.cgi?id=614306

2010-11-24 12:22:01 +0200  Stefan Kost <ensonic@users.sf.net>

	* tests/icles/output-selector-test.c:
	  output-selector-test: don't hardcode videosinks and use more colorspace conv.
	  Use autovideosink instead of hardcoded sinks. Use an additional colorspace
	  converter between videotestsrc and timeoverlay.

2010-09-17 09:52:12 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* plugins/elements/gstoutputselector.c:
	  outputselector: Avoid losing the last_buffer when switching
	  This patch makes outputselector take an extra ref when pushing
	  the last_buffer to avoid it losing it during the switch function.
	  This makes resend-latest properly work if the active-pad is changed
	  during the switch function buffer pushing (on a pad probe, for example).
	  https://bugzilla.gnome.org/show_bug.cgi?id=629917

2010-09-17 09:44:02 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* plugins/elements/gstoutputselector.c:
	  outputselector: Recheck pending switch after pushing buffer
	  This patch makes output-selector always recheck if there's a
	  pending pad switch after pushing a buffer, preventing that
	  it pushes a buffer on the 'wrong' pad.
	  https://bugzilla.gnome.org/show_bug.cgi?id=629917

2010-11-01 23:04:44 +0200  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  inputselector: log times in human readable form

2010-11-01 22:40:36 +0200  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  inputselector: move reoccuring logs to LOG and remove a double info
	  Less debug spew in DEBUG category. No need to log pad again if we use
	  GST_LOG_OBJECT(pad,...).

2010-10-19 13:43:14 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstoutputselector.c:
	  various (gst): add missing G_PARAM_STATIC_STRINGS flags
	  Canonicalize property names as needed.

2010-09-06 11:03:07 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  inputselector: sync with copy in -base
	  Use _get_caps_reffed to avoid copies.

2010-08-24 11:50:47 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstoutputselector.c:
	  outputselector: move the debug init to the boilerplate macro

2010-08-24 11:50:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  inputselector: use GST_BOILERPLATE macro

2010-03-22 13:16:33 +0100  Benjamin Otte <otte@redhat.com>

	* tests/check/elements/selector.c:
	  Add -Wwrite-strings
	  and fix its warnings

2010-03-21 21:39:18 +0100  Benjamin Otte <otte@redhat.com>

	* tests/check/elements/selector.c:
	  Add -Wmissing-declarations -Wmissing-prototypes to configure flags
	  And fix all warnings

2010-03-18 17:30:26 +0100  Benjamin Otte <otte@redhat.com>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstoutputselector.c:
	  gst_element_class_set_details => gst_element_class_set_details_simple

2010-01-25 12:21:34 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  Revert "inputselector: Protect g_object_notify() with the object's mutex"
	  This reverts commit 7e067615ffb5614f068f7753c10dde99afe49c3c, it's causing
	  deadlocks with playbin2.

2010-01-24 20:53:00 +0100  Kipp Cannon <kcannon@ligo.caltech.edu>

	* plugins/elements/gstinputselector.c:
	  inputselector: Protect g_object_notify() with the object's mutex
	  This works around the thread unsafety of g_object_notify()
	  Fixes bug #607513.

2009-11-09 11:49:15 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Remove useless variables and fix a uninitialized variable compiler warnings
	  Merged from gst-plugins-base, dfd51aa82a9e1c9924375183796eab70e574a231.

2009-11-09 11:48:39 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Make sure that running_time->timestamp calculation never becomes negative
	  Merged from gst-plugins-base, f3653854585864a09d35e037853407332ea6901f.

2009-11-09 11:48:00 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Use the start time (i.e. timestamp) as the last stop
	  Using the end time makes it impossible to replace buffers, which is
	  a big problem for subtitles that could have very long durations.
	  Merged from gst-plugins-base, 27034be4611231cc55fa3d3e253baa40c6bff41d.

2009-11-09 11:47:15 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Improve debugging
	  Merged from gst-plugins-base.

2009-11-05 13:53:46 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  Revert "inputselector: use get_caps_reffed()"
	  This reverts commit 49ec4f796a0e3f88a851708782c853baf4b05724.
	  We can't use this new function yet.

2009-11-05 13:29:55 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: use get_caps_reffed()

2009-11-04 00:21:19 +0200  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  inputselector: also add inline to the proto to fix the build

2009-11-03 18:14:12 +0100  Edward Hervey <bilboed@bilboed.com>

	* plugins/elements/gstinputselector.c:
	  gst: Remove dead assignments and resulting unused variables
	  Merged from gst-plugins-base, 8cd1b5209b68944e1be56ca8bb69e46d4abb7a34.

2009-11-03 18:12:21 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Use the same iterate internal links function as in gst-plugins-base

2009-11-03 18:11:13 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  input-selector: Remove GST_DEBUG_FUNCPTR where they're pointless
	  There's not much point in using GST_DEBUG_FUNCPTR with GObject
	  virtual functions such as get_property, set_propery, finalize and
	  dispose, since they'll never be used by anyone anyway. Saves a
	  few bytes and possibly a sixteenth of a polar bear.
	  Merged from gst-plugins-base, 6f4c1ac58341ee189225d313ddfe9ae24a65c88c.

2009-11-03 18:09:55 +0100  David Schleef <ds@schleef.org>

	* plugins/elements/gstinputselector.c:
	  input-selector: Remove Ronald Bultje from Authors field
	  Replaced with "GStreamer maintainers
	  <gstreamer-devel@lists.sourceforge.net>" or just removed,
	  depending on the number of other authors.
	  Merged from gst-plugins-base, 0e9bc5125aca546d773ed1002df573dd8e2dc136.

2009-11-03 18:08:05 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: set output caps before pushing
	  Set the output caps on the srcpad before pushing the buffer because else core
	  will do a rather expensive check to see if we can actually accept those caps on
	  the srcpad.
	  Merged from gst-plugins-base, bdfb4b46d746ef298fcf44260879c342af4cafa3.

2009-11-03 18:06:11 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: install an acceptcaps function
	  Install a custom acceptcaps function instead of using the default expensive
	  check. We accept whatever downstream accepts so we pass along the acceptcaps
	  call to the downstream peer.
	  Merged from gst-plugins-base, 5b72f2adf996739036e8d9b5f91005455d1fface.

2009-10-27 11:51:05 -0700  Michael Smith <msmith@songbirdnest.com>

	* tests/icles/output-selector-test.c:
	  Remove executable bits from non-executable files.

2009-09-25 11:07:02 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Use new single iterator for the internally linked pads
	  This fixes a deadlock and removes some useless code.

2009-08-31 19:31:57 +0200  Havard Graff <havard.graff@tandberg.com>

	* plugins/elements/gstoutputselector.c:
	  outputselector: make GST_FORMAT_TIME the default segment format

2009-08-19 17:05:32 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Use iterate internal links instead of deprecated get internal links

2009-07-31 11:27:03 +0300  Tommi Myöhänen <ext-tommi.1.myohanen@nokia.com>

	* plugins/elements/gstoutputselector.c:
	  outputselector: check for pending srcpad in _get_property()
	  If there is a pending srcpad, return it instead of active srcpad
	  in gst_output_selector_get_property() function.

2009-06-12 10:14:27 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstoutputselector.c:
	  outputselector: do the pad_alloc for the pad that is pending and have a fallback
	  We should do the pad_alloc for the pending pad if any, as we will switch to that
	  pad on next _chain() call. Also do a fallback alloc, if there is no output yet to
	  not fail state transitions in dynamic pipelines.

2009-06-01 16:31:42 +0300  Lasse Laukkanen <ext-lasse.2.laukkanen@nokia.com>

	* plugins/elements/gstoutputselector.c:
	  output-selector: serialize setting and actual changing of new active pad

2009-05-04 12:29:54 +0300  Lasse Laukkanen <ext-lasse.2.laukkanen@nokia.com>

	* plugins/elements/gstoutputselector.c:
	  output-selector: unref latest buffer also when resending has been disabled

2009-04-16 17:32:03 +0300  Lasse Laukkanen <ext-lasse.2.laukkanen@nokia.com>

	* plugins/elements/gstoutputselector.c:
	  output-selector: keep ref to buffer for resending only if explicitly requested

2009-06-04 19:08:16 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: don't leak pads in iterator

2009-06-04 08:56:29 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Notify when the tags property of the selector sinkpads changes
	  First part of bug #584686.

2009-05-28 10:38:50 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstoutputselector.h:
	  selector: remove not needed instance var (previous commit).

2009-05-28 10:12:58 +0300  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstoutputselector.c:
	* plugins/elements/gstoutputselector.h:
	  outputselector: implement pad_alloc on active pad.

2009-04-23 11:04:46 +0100  Jan Schmidt <thaytan@noraisin.net>

	* plugins/elements/gstinputselector.c:
	  input-selector: Forward segment events for the active pad immediately.
	  When a segment event is received on the active pad, forward it downstream
	  immediately instead of deferring it until the next data buffer arrives. This
	  fixes problems with segment updates never being sent downstream, like those
	  needed for sparse streams, or for closing previously opened segments.
	  This fixes playback of DVD menus with a still video frame and an audio track,
	  for example.
	  Fixes: #577843

2009-03-27 11:20:02 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstoutputselector.c:
	  outputselector: reset state when going to READY
	  Reset the last-buffer, the pending pad and the segment when going to the READY
	  state.
	  Fixes #576712.

2009-03-24 15:23:03 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  selector: merge the tags
	  Merge the tags received on the input-selector sinkpads instead of only keeping
	  the last one we saw.

2009-02-25 11:45:05 +0200  Stefan Kost <ensonic@users.sf.net>

	* plugins/elements/gstinputselector.c:
	  docs: various doc fixes
	  No short-desc as we have them in the element details.
	  Also keep things (Makefile.am and sections.txt) sorted.
	  Reword ambigous returns. No text after since please.

2009-02-11 17:21:20 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* plugins/elements/gstinputselector.c:
	  inputselector: Fix compilation, activate_sinkpad() has no notify parameter

2009-02-10 16:22:54 -0800  Michael Smith <msmith@songbirdnest.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: Activate and notify pad before processing events.
	  Events should trigger pad selection if we don't already have an
	  explicitly selected pad, so that events prior to first buffer don't get
	  lost.

2009-01-30 18:27:03 -0800  Michael Smith <msmith@songbirdnest.com>

	* plugins/elements/gstinputselector.c:
	  Unref event if we don't forward it, unref pads when done with them.

2008-12-04 17:51:37 +0000  Michael Smith <msmith@xiph.org>

	  plugins/elements/gstinputselector.c: Ensure we emit notify::active-pad when auto-selecting a pad due to it having activit...
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c:
	  Ensure we emit notify::active-pad when auto-selecting a pad
	  due to it having activity and us not having an existing active
	  pad. Fixes #563147

2008-10-15 17:45:37 +0000  Edward Hervey <bilboed@bilboed.com>

	  plugins/elements/gstinputselector.c: Gracefully handle the cases when we dont' have otherpad.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_input_selector_event),
	  (gst_input_selector_query):
	  Gracefully handle the cases when we dont' have otherpad.
	  Fixes #556430

2008-10-07 13:14:40 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  plugins/elements/gstoutputselector.c: Choose right pad for sending events. Fixes #555244
	  Original commit message from CVS:
	  * plugins/elements/gstoutputselector.c:
	  Choose right pad for sending events. Fixes #555244

2008-09-08 20:27:23 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Reset the selector state when going to READY.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_reset),
	  (gst_input_selector_reset), (gst_input_selector_change_state):
	  Reset the selector state when going to READY.

2008-09-01 13:23:03 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Reuse the get_linked_pads for both source and sinkpads because they are the same.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_input_selector_init),
	  (gst_input_selector_event), (gst_input_selector_query):
	  Reuse the get_linked_pads for both source and sinkpads because they are
	  the same.
	  Implement a custum event handler and get the internally linked pad
	  directly instead of relying on the default (slower) implementation.

2008-08-27 15:45:16 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Implement the LATENCY query in a better way by taking the latency of all sinkpads an...
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_input_selector_init),
	  (gst_input_selector_query):
	  Implement the LATENCY query in a better way by taking the latency of all
	  sinkpads and taking the min/max instead of just taking a random pad.

2008-08-05 09:05:35 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Move the select-all logic into the activation of the currently selected pad. We want...
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_bufferalloc),
	  (gst_selector_pad_chain), (gst_input_selector_getcaps),
	  (gst_input_selector_activate_sinkpad):
	  Move the select-all logic into the activation of the currently selected
	  pad. We want to remember the last pad with activity in select-all mode.
	  Fix the getcaps function, we can produce the union of the upstream caps
	  in select-all mode, not the intersection like proxy_getcaps() does.

2008-06-19 13:18:24 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  output-selector: Use BOILERPLATE macro and update test to the latest api changes.
	  Original commit message from CVS:
	  * plugins/elements/gstoutputselector.c:
	  * tests/icles/output-selector-test.c:
	  Use BOILERPLATE macro and update test to the latest api changes.

2008-06-12 14:49:18 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  Do not use short_description in section docs for elements. We extract them from element details and there will be war...
	  Original commit message from CVS:
	  * ext/dc1394/gstdc1394.c:
	  * ext/ivorbis/vorbisdec.c:
	  * ext/jack/gstjackaudiosink.c:
	  * ext/metadata/gstmetadatademux.c:
	  * ext/mythtv/gstmythtvsrc.c:
	  * ext/theora/theoradec.c:
	  * gst-libs/gst/app/gstappsink.c:
	  * gst/bayer/gstbayer2rgb.c:
	  * gst/deinterlace/gstdeinterlace.c:
	  * gst/rawparse/gstaudioparse.c:
	  * gst/rawparse/gstvideoparse.c:
	  * gst/rtpmanager/gstrtpbin.c:
	  * gst/rtpmanager/gstrtpclient.c:
	  * gst/rtpmanager/gstrtpjitterbuffer.c:
	  * gst/rtpmanager/gstrtpptdemux.c:
	  * gst/rtpmanager/gstrtpsession.c:
	  * gst/rtpmanager/gstrtpssrcdemux.c:
	  * plugins/elements/gstinputselector.c:
	  * plugins/elements/gstoutputselector.c:
	  * gst/videosignal/gstvideoanalyse.c:
	  * gst/videosignal/gstvideodetect.c:
	  * gst/videosignal/gstvideomark.c:
	  * sys/oss4/oss4-mixer.c:
	  * sys/oss4/oss4-sink.c:
	  * sys/oss4/oss4-source.c:
	  Do not use short_description in section docs for elements. We extract
	  them from element details and there will be warnings if they differ.
	  Also fixing up the ChangeLog order.

2008-03-20 18:10:29 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Do g_object_notify() only when not holding the lock to get the property because othe...
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c:
	  (gst_input_selector_set_active_pad), (gst_input_selector_switch):
	  Do g_object_notify() only when not holding the lock to get the property
	  because otherwise we run into a deadlock with the deep-notify handlers
	  that are possibly installed.

2008-03-20 17:48:49 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Release the selector lock when pad alloc happens on a non selected pad.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_class_init),
	  (gst_selector_pad_event), (gst_selector_pad_bufferalloc),
	  (gst_selector_pad_chain), (gst_input_selector_set_active_pad):
	  Release the selector lock when pad alloc happens on a non selected pad.

2008-03-20 17:07:07 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Add pad property to configure behaviour of the unselected pad, it can return OK or N...
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_class_init),
	  (gst_selector_pad_init), (gst_selector_pad_set_property),
	  (gst_selector_pad_get_property), (gst_selector_pad_event),
	  (gst_selector_pad_bufferalloc), (gst_selector_pad_chain),
	  (gst_input_selector_set_active_pad):
	  Add pad property to configure behaviour of the unselected pad, it can
	  return OK or NOT_LINKED, based on the use case.

2008-03-20 16:48:46 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.*: Figure out the locking a bit more.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c:
	  (gst_selector_pad_get_running_time), (gst_selector_pad_reset),
	  (gst_selector_pad_event), (gst_selector_pad_bufferalloc),
	  (gst_input_selector_wait), (gst_selector_pad_chain),
	  (gst_input_selector_class_init), (gst_input_selector_init),
	  (gst_input_selector_dispose), (gst_segment_set_start),
	  (gst_input_selector_set_active_pad),
	  (gst_input_selector_set_property),
	  (gst_input_selector_get_property),
	  (gst_input_selector_get_linked_pad),
	  (gst_input_selector_is_active_sinkpad),
	  (gst_input_selector_activate_sinkpad),
	  (gst_input_selector_request_new_pad),
	  (gst_input_selector_release_pad),
	  (gst_input_selector_change_state), (gst_input_selector_block),
	  (gst_input_selector_switch):
	  * plugins/elements/gstinputselector.h:
	  Figure out the locking a bit more.
	  Mark buffers with discont after switching.
	  Fix initial segment forwarding, make sure to only forward one segment
	  regardless of what the sequence of buffers/segments is. See #522203.
	  Improve flushing when blocked.
	  Return NOT_LINKED when a stream is not selected.
	  Not API change for the switch signal in the docs.
	  Fix start/time/accum values of the new segment.
	  Correctly unlock and flush a blocking selector when going to READY.

2008-03-14 17:22:21 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.c: Add lots of debugging.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_event),
	  (gst_selector_pad_bufferalloc), (gst_selector_pad_chain),
	  (gst_input_selector_class_init),
	  (gst_input_selector_set_active_pad),
	  (gst_input_selector_set_property),
	  (gst_input_selector_push_pending_stop):
	  Add lots of debugging.
	  Fix time member in the newsegment event.

2008-03-13 16:46:04 +0000  Wim Taymans <wim.taymans@gmail.com>

	  plugins/elements/gstinputselector.*: Various cleanups.
	  Original commit message from CVS:
	  * plugins/elements/gstinputselector.c: (gst_selector_pad_class_init),
	  (gst_selector_pad_finalize), (gst_selector_pad_get_property),
	  (gst_selector_pad_event), (gst_input_selector_class_init),
	  (gst_input_selector_init), (gst_input_selector_set_active_pad),
	  (gst_input_selector_set_property),
	  (gst_input_selector_get_property),
	  (gst_input_selector_request_new_pad),
	  (gst_input_selector_release_pad),
	  (gst_input_selector_push_pending_stop),
	  (gst_input_selector_switch):
	  * plugins/elements/gstinputselector.h:
	  Various cleanups.
	  Added tags to the pads.
	  Select active pad based on the pad object instead of its name.
	  Fix refcount in set_active_pad.
	  Add property to get the number of pads.
	  * plugins/elements/gstoutputselector.c:
	  (gst_output_selector_class_init),
	  (gst_output_selector_set_property),
